✳ RandomKit

Documentación de la API REST

Documentación de la API REST · Parámetros · Resultado · RandomKit

POST /api/v1/generate

Send a JSON body with Content-Type: application/json. This example generates integers.

ParameterDescription
toolGenerator name. Use integers for whole numbers.
input.min / input.maxInclusive bounds from −10¹² to 10¹². Defaults: 1 and 100.
input.count1–10,000. Default: 1.
input.uniqueSet true to sample without replacement. Default: false.
input.sortSet true for ascending order. Default: generation order.
localeOptional. With a locale, the response includes formatted. en, ru, zh-TW, zh-CN, hi, ja, ko, es

curl

curl -X POST "https://randomkit.tech/api/v1/generate" -H "Content-Type: application/json" -d '{"tool":"integers","locale":"es","input":{"min":1,"max":100,"count":5,"unique":true,"sort":true}}'

fetch

const response = await fetch('/api/v1/generate', {
  method: 'POST',
  headers: { 'Content-Type': 'application/json' },
  body: JSON.stringify({"tool":"integers","locale":"es","input":{"min":1,"max":100,"count":5,"unique":true,"sort":true}})
})
const data = await response.json()
if (!response.ok) throw new Error(data.error)
console.log(data.values, data.formatted)
console.log(response.headers.get('RateLimit-Remaining'))

Response and quota

Successful responses contain tool and values. With locale, they also include locale, label and formatted. Formatted integers have number and text fields.

400: invalid request. 429: quota exhausted, with Retry-After in seconds. 503: quota service unavailable. Requests rejected with 400 also count toward the quota.

Verifiable draws and Seed

Use the browser tools for Seed and drand. On the draw page you can select a winner and download a JSON proof. Open verifiable draw

API Playground

Herramientas

CORE
Web CryptoSeeddrand
Generador de números aleatoriosOpen tool
CORE
Web CryptoSeed
Secuencia aleatoriaOpen tool
SOCIAL
Web CryptoSeed
Mezclador de listasOpen tool
GAMES
Web CryptoSeed
Dados en líneaOpen tool
GAMES
Web CryptoSeed
Lanzar una monedaOpen tool
GAMES
Web CryptoSeed
Barajar cartasOpen tool
GAMES
Web CryptoSeed
Números de loteríaOpen tool
SECURITY
Web Crypto
Generador de contraseñasOpen tool
SECURITY
Web CryptoSeed
Generador de cadenasOpen tool
CORE
Web CryptoSeed
Distribución normalOpen tool
DATA
Web CryptoSeed
Colores HEX aleatoriosOpen tool
DATA
Web CryptoSeed
Coordenadas aleatoriasOpen tool
SECURITY
Web CryptoSeed
Bytes aleatoriosOpen tool
DATA
Web CryptoSeed
Fecha y hora aleatoriasOpen tool
CORE
Web CryptoSeed
Generador avanzado de enterosOpen tool
WIDGETS
Web CryptoSeed
Widget de númerosOpen tool
WIDGETS
drand
Widget de sorteosOpen tool
SOCIAL
drand
Sorteo benéficoOpen tool
SOCIAL
Web CryptoSeed
Ruleta de nombresOpen tool
SOCIAL
Web CryptoSeed
Selector de nombresOpen tool
SOCIAL
Web CryptoSeed
Generador de gruposOpen tool
CORE
Web CryptoSeed
Selector de númerosOpen tool
DATA
Web CryptoSeed
Generador de letrasOpen tool
DATA
Web CryptoSeed
Generador de palabrasOpen tool
DATA
Web CryptoSeed
Fecha de nacimiento aleatoriaOpen tool
DATA
Web Crypto
Selector de imágenesOpen tool
SOCIAL
Web CryptoSeed
Sorteo de comentariosOpen tool
CORE
Seed
Muestreo reproducibleOpen tool
SOCIAL
Web CryptoSeed
Ruleta para eventosOpen tool
DATA
Web CryptoSeed
Generador de datos de pruebaOpen tool
SECURITY
Web CryptoSeed
Generador de IP, MAC y UUIDOpen tool
DATA
Web CryptoSeed
Emojis aleatoriosOpen tool
SOCIAL
Web CryptoSeed
Generador de equiposOpen tool
CORE
Web CryptoSeed
Generador de decimalesOpen tool
SOCIAL
Web CryptoSeed
Decisión aleatoriaOpen tool
SOCIAL
drand
Sorteo verificableOpen tool